Skip to main content
GET
Get top X pools on a network's DEX.

Path Parameters

network
string
required

Network slug or ID (e.g., 'solana'). You can find the list of supported networks with their IDs here: /networks.

dex
string
required

DEX identifier or name (e.g., 'uniswap_v2'). You can find the list of supported DEXes with their IDs here: /networks/{network}/dexes.

Query Parameters

page
integer

Zero-based page index for paginated results.

Required range: 0 <= x <= 1000
limit
integer
default:10

Number of items to return per page (max 100).

Required range: 1 <= x <= 100
sort
enum<string>

Sort order for the requested data (ascending or descending).

Available options:
asc,
desc
order_by
enum<string>

Field by which to order the returned data.

Available options:
volume_usd,
price_usd,
transactions,
last_price_change_usd_24h,
created_at

Response

successful operation

pools
object[]

List of pools for the specified DEX, including volume and price data.

page_info
object

Details about the current page of results.